• My account
    • (X)Sign in

      I am a returning customer at TYPO3 Multishop

      Enter your username and password here in order to log in on the website:

      Forgot your password?

      Not yet customer of TYPO3 Multishop?

      • Order history
      • Automatic generated e-mail history
      • Track your Order
      New at TYPO3 Multishop
You are here:

Help by translating Multishop in your local language

On the following page you can help by translating Multishop in your local language:

https://translation.typo3.org/projects/TYPO3.ext.multishop/

Spanish:

https://translation.typo3.org/es/TYPO3.ext.multishop/pi1/locallang.xlf

The following language are already translated by our supporters:

  • Dutch
  • German
  • French

Multishop 304 has wrong phpexcel dependency


Author Message
luberti@archicoop.it
Ivano Luberti
Multishop newbie
Topic creator
registered since: 19.02.2015
Posts: 2
Hi, I have downloaded installed and customized successfully a Multishop 304 instance.
Now I have found troubles with phpexcel export.
Multishop states in ext_emconf.php

'phpexcel_service' => '1.7.6-1.7.99',

but trying to using it results in a

PHP Fatal error: require_once(): Failed opening required '/var/www/vhosts/shop.arnera.local/typo3conf/ext/phpexcel_service/Classes/PHPExcel.php'

Now if you look at the files structure o php_excel_service 1.7.6 you see there is no Classes directory.

You have to upgrade to php_excel_service 1.8 to find a similar structure and even so there is no PHPExcel.php but there is one named Phpexcel.php.

By the way after upgrading the code to 1.8 and solved all this path issues hacking the code of multishop and after clearing all caches, PHP Excel throwed an uncaught expection "Could not close zip file".

And now I'm stuck there.

Written on: 10. 04. 2015 [16:31]
luberti@archicoop.it
Ivano Luberti
Multishop newbie
Topic creator
registered since: 19.02.2015
Posts: 2
Apologies, I had nevere used before phpexcel service eand didn't know that after installing extension you have to download the PHPExcel library from its web site and copy it under the extension.
This is true in version 1.7.6, not in 1.8.
But 1.7.6 works , while 1.8 doesn't at least for me.
Written on: 10. 04. 2015 [20:43]